from openflow import openflow, manage_addOpenflow, manage_addOpenflowForm
from process import process, manage_addProcess
from instance import instance, manage_addInstance


def initialize(registar):
    """ Inizialization """

    try:
        registar.registerClass(openflow,
                               constructors=(manage_addOpenflowForm, manage_addOpenflow),
                               icon='www/Openflow.gif')
        registar.registerHelpTitle( 'OpenFlow Help' )
        registar.registerHelp( directory='help' )

        registar.registerClass(process,
                               constructors=(manage_addProcess,),
                               icon='www/Process.gif')

        registar.registerClass(instance,
                               constructors=(manage_addInstance,),
                               icon='www/Instance.gif')

    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb
